Every time i open the view rapp folder the relationship folder will open too. If i will close the relationship folder...and open again the view rapp then it repeats.
The problem is that my assemblies has many parts an a lots of constraints...so my browser is quickly full of constraints visually. I use a lots the view rapp...so there is away to maintain the relationship folder closed ...or open only when i will click on it?
Is there a way to make the Relationship folder in the browser stop expanding. I am constatnly having to clcik to collapse it when I lock/unlock a view rep or change VR.
I often want to copy a design (assembly plus used parts) to some other folder as a quick start for some derived work. I want to be able to work on this copy without influencing the original and visa versa.
The problem is when copying with the windows copy command, the references to the parts point to the original folder. I read that you can use the Copy feature of the Vault for this. But I'm not using the Vault and don't want to.
Pack and Go is also not a good solution because it copies a lot of other stuff and makes a new project file. How can I do this. It seems so a simple operation. But I can not figure out how to do that!
Is there a setting or something somewhere that turns off/on the display of the origin folder? I have rebooted and restarted Inventor. For some reason, I can't get see the folder. Even when I edit a part, it is not there. See attached images.
I`m working on the code that reads a list of virtual parts from Excel and adds required qty into the assembly. So far it looks good, I just need to know how to create a folder in a Assembly view tree and save virtual part in that folder instead of placing it in the root.
Dim occs As ComponentOccurrences occs = asmDoc.ComponentDefinition.Occurrences Dim identity As Matrixidentity = ThisApplication.TransientGeometry.CreateMatrixDim virtOcc As ComponentOccurrencevirtOcc = occs.AddVirtual(sVirtPart, identity)
I dont know why, because I never had this problem before, but I am bending an object and the bend command is distorting the circle I made as a pivot point.
I create an I part and I noticed it creates a folder within my main folder. This introduces a bit of chaos into my folder structure, is there any way around it?
I'm looking for the best way to create a separate assembly out of various component parts in an existing assembly so that the whole thing can be placed in an assembly as you would a part, I know it's possible to demote components within an assembly but are there any other methods similar / better ?
We have an iLogic assembly with to parts in it. Maybe to cylindrical parts. The iLogic rules should do the following.
1. Start a Rule after open document.
2. This Rule starts a Rule in the first cylindrical component.
3. This Rule ask the user for a diameter.
4. The assembly gives this new parameter value to the second component
5. Then the assembly calls another rule in the second component to change it with the new parameter
Everything is working fine when the following combinations are taking place:
1. I open up the assembly out of vault or from a local drive or an accessible server drive
2. I insert the assembly as sub assembly in another assembly from a local drive or an accessible server drive
It don't work with the following situation:
- I insert the assembly as sub assembly in another assembly out of vault
Then the user becomes the dialog "Choose a diameter" twice.
I don't know why, but I have the idea it has something to do with the functionality of inventor to insert a component more than once. If you insert a component in an assembly Inventor gives you the opportunity to add more than one occurence after each other.
change that behaviour? Maybe a switch to change that inventor "add more than one occurence" behaviour.
I have encountered a problem with the Tube and Pipe styles.
As you can see, I have a rack assembly with a custom tube and pipe style. A wire as a tube in orange, and a tube support in white. Both have their seperate colorations at a style in the tube and pipe styles editor
When placing the rack assembly into the main assembly, it reverts to the coppor coloration I changed from the original style.
Steps I've taken:
Exported the styles .xml and Imported the styles into the master tubeandpipe.iam
Imported the user created .xml styles into the main assembly file nothing seems to work
I am trying to find the interior volume of an assembly (when am I not?!?!) by subtracting the assembly from a block that surrounds the most of it. Somewhere the assembly has a "leak" and I have been trying to use the Cross Section Analysis to track down where the inside lump is connected to the outside lump to be subtracted. Is there a less time consuming way to dynamically drag a plane across and get cross sectional views?
Even better is there a simple way to animate the analysis plane moving across the block so I can hopefully just watch and pause it when I find a leak?
My assembly has grown (about 50 parts) to where I need to consolodate some parts into subassemblies for reuse and alternate iterations of the basic design.
When I import the original parts into a new assembly, all of the constrains I created are not there of course.
I've tried creating a new empty part and then deriving a new part from the assembly, but I can't add, delete or edit any parts.
I looked at using Shrinkwrap, Substitutes, iParts, Multi-body Parts, and Multiple Solids but I remain confused.
In retrospect, maybe I should have created the subassemblies between the part and assembly stage but I didn't.
I want to be able to control the location/position of a component in an assembly. This is easy enough through the iProperties/Occurrence tab and then adjust the location of the X,Y, and Z offsets. Is this possible using iLogic? I have been unable to find a function to access via iLogic. Ultimately I am trying to translate a component about an axis not a pattern.
I have a two part duct fire damper assembly. The IDW has the combined two part assembly, which I know how to turn the CoG on, so that it can be dimensioned. The problem is each piece will more than likely be hoisted separately so I would like to show the CoG for each piece, not the combined master assy.is there a way to do this?
Inventor 2014 Windows 7 Pro SP1 Intel(R) Core(TM) i7-3770k CPU @ 3.50GHz 16GB RAM NVIDIA Quadro 4000 3D Connexion SpaceMouse Pro
I would like to see if there is a routine that allows my iLogic code to detect if my assembly contains another assembly within it. If my assebly contains assemblies then I don't want "MyRule" to run. Else if it does then I want "MyRule" to run.
I want to union all the members in a complex roof truss structure so I can 3D print the model (picture attached). It seems intermittent in which elements will union and which wont. Revisiting the elements they sometimes then union. Sometimes there is no error message while sometimes 'Inconsistent Edge Face Relationship'
By working in millimetres instead of metres will slow things up with my file. My 0,0 point refers to the actual survey co-ordinates which I need to continue to use as regularly share my file with the surveyor and we need to be working on the same 0,0 point. Because I am working in mm 0,0 is therefore further from my drawing that it would be in m. Will changing to metres make a significant difference to me? My file has 34 layout pages and even more viewports which I would have to re scale if I changed the units in my drawings or is there a simpler way of doing this than rescaling the drawing by a factor of 0.001?
The SSA literature states to use an On Sag inlet to model an inlet used in the middle of a parking lot.
This is more commonly known as an "Area Inlet" application, and is also used in areas such as airport runways, greenbelts and golf courses.
To develop the correct operating head relationship over the grate, we need to be able to enter a stage-storage curve starting from the grate elevation. This will develop the "cone" shape storage needed to develop the correct head elevation over the grate.
It appears looking at the On Sag options there is only the Ponded Area parameter available; the same parameter found in a Junction. This calculates the head elevation as a function of the ponded volume and a constant area.
I want to confirm that the On Sag inlet application used as an Area inlet, is using all four sides, full perimeter = 2(L+W), of the inlet for the weir flow calculations before orifice flow controls, not just 3 sides as a grate on a curb.
I have (what I think should be) a relative simple question. I'm trying to find the best way to create a relationship between some standard primitive (box) objects (i.e. loudspeakers) at the walls they're supposed to be mounted to (i.e. the inner faces of another "box" object with inverted normals). I would like to be able to change the length and/or width values of the "room" (box object) and have the loudspeakers (also box objects) expand or contract with the walls.
I've tried linking and wiring parameters but so far no luck.
Suppose I have carefully made a selection and saved it as a channel. I then use that channel in an adjustment layer as a mask. I also use the inverse of that channel in another adjustment layer.
At this point do I have three separate masks inside photoshop: the original channel, and two others that are layer masks? If I then see that the original mask wasn't quite right so I do a refine mask on one of the layer masks. I haven't, I think, changed the original channel, right? But I'd like to use the inverse of that channel in the other adjustment layer.
This gets pretty messy pretty fast, especially because I'm working on a very large image. After I modify the layer mask should I save it off as a separate named channel (it doesn't seem to be accessible unless the layer it's on is active) and then invert that, save it, and reload it as the layer mask for the other adjustment layer?
when i select the clip in cfx schematic, how to tell which clip is it inside the timing editor ? there's only small thumbnail and this won't work when i got multiple sama clips on the cfx schematic, the thumbnail will look the same. There has to be a visual relationship between the two areas.